
import common from "@/utils/common"

const label = 'reportDesigner.custom';
const name = 'custom';
const category = -1;//0-表示默认基础组件，1-表示报告组件；2-布局组件
export default {
    initData: function(flag){
        //组件一级对象
        var obj = {
            icon: 'icon-space',
            label,
            id: common.guid(),
            name,
            category: category,
            disabledMove: true,
            //二级对象,用来封装属性和样式
            data: {},
            result: {}
        };
        if (flag)
        {
            obj.data = this.props();
            obj.result = this.finals();
        }
        return obj;
    },
    props: function() {
        return {}
    },
    finals: function(){
        return {
        }
    }
}